<script lang="ts">
  export let phase: Phase;
  export let userId: PlayerId | undefined = undefined;
</script>

<div>
  {#if phase.kind === "Drawing"}
    {#if userId === phase.player && phase.cardsToDraw === 1}
      Draw one more card. ↑
    {:else if userId === phase.player}
      Draw two cards. ↑
    {:else if phase.cardsToDraw === 1}
      <gs6-user playerid={phase.player} /> must draw one more card.
    {:else}
      <gs6-user playerid={phase.player} /> must draw two cards.
    {/if}
  {/if}

  {#if phase.kind === "Playing"}
    {#if userId === phase.player}
      Select a card, then place it in your park. ↓
    {:else}
      <gs6-user playerid={phase.player} /> must place a card in their park.
    {/if}
  {/if}

  {#if phase.kind === "Discarding"}
    {#if userId === phase.player}
      Discard a card. ↓
    {:else}
      <gs6-user playerid={phase.player} /> must discard a card.
    {/if}
  {/if}
</div>

<style>
  * {
    font-style: oblique;
    font-weight: 300;
  }
</style>
